namespace CMSMicroservice.Application.ProductsCQ.Queries.GetLowStockProducts;

public class GetLowStockProductsQueryValidator : AbstractValidator<GetLowStockProductsQuery>
{
    public GetLowStockProductsQueryValidator()
    {
        RuleFor(x => x.Threshold)
            .GreaterThanOrEqualTo(0).WithMessage("آستانه موجودی نمی‌تواند منفی باشد");

        RuleFor(x => x.PageIndex)
            .GreaterThan(0).WithMessage("شماره صفحه باید بزرگتر از 0 باشد");

        RuleFor(x => x.PageSize)
            .InclusiveBetween(1, 100).WithMessage("تعداد در هر صفحه باید بین 1 تا 100 باشد");
    }
}
